%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  RCreliability
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Correct Bias in Estimated Regression Coefficients

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-sandwich 
BuildRequires:    R-CRAN-mgcv 
Requires:         R-CRAN-sandwich 
Requires:         R-CRAN-mgcv 

%description
This function corrects the bias in estimated regression coefficients due
to classical additive measurement error (i.e., within-person variation) in
logistic regressions under the main study/external reliability study
design and the main study/internal reliability study design. The output
includes the naive and corrected estimators for the regression
coefficients; for the variance estimates of the corrected estimators, the
extra variation due to estimating the parameters in the measurement error
model is ignored or taken into account. Reference: Carroll RJ, Ruppert D,
Stefanski L, Crainiceanu CM (2006) <doi:10.1201/9781420010138>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
